<template>
  <q-layout view="hHh lpR fFf">
    <q-page-container>
      <q-page class="flex flex-center bg-grey-3">
        <q-card class="login-card">
          <q-card-section class="flex flex-center">
            <a href="https://vietdistribution.com" target="_blank">
              <q-avatar square size="100px">
                <img src="~/assets/logo.png" />
              </q-avatar>
            </a>
          </q-card-section>
          <q-card-section>
            <div class="text-h4 text-center text-bold q-mb-md">Đăng Nhập</div>
          </q-card-section>
          <q-card-section>
            <q-form @submit="onSubmit" class="q-gutter-md">
              <q-input outlined v-model="loginForm.id" label="Mã Số Thành Viên" />
              <q-input outlined type="password" v-model="loginForm.password" label="mật khẩu" />
              <div class="flex justify-between items-center">
                <div class="q-mt-md">
                  <q-btn no-caps label="Đăng Nhập" type="submit" color="primary" />
                  <q-btn
                    no-caps
                    label="Đăng Ký"
                    to="/register"
                    color="primary"
                    flat
                    class="q-ml-sm"
                  />
                </div>
                <forget-password />
              </div>
            </q-form>
          </q-card-section>
        </q-card>
      </q-page>
    </q-page-container>
  </q-layout>
</template>

<script>
import { mapActions } from 'vuex';
import ForgetPassword from '~/components/user/ForgetPassword.vue';

export default {
  components: { ForgetPassword },
  data() {
    return {
      loginForm: {
        id: '',
        password: ''
      }
    };
  },
  methods: {
    ...mapActions({
      login: 'auth/login'
    }),
    onSubmit() {
      this.login(this.loginForm);
    }
  }
};
</script>

<style lang="scss" scoped>
.login-card {
  width: 30%;
  min-width: 300px;
}
</style>
